List Task Agent Approval Requests
List human approval requests for proposed Task Agent tool calls.
Approval requests are visible through the same visibility rules as their linked
Task Agent run. Pending requests may be returned as expired when their approval
window has elapsed.
Authentication
AuthorizationBearer
API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.
OR
AuthorizationBearer
API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.
Path parameters
org_id
The organization ID
project_id
The project ID
task_agent_id
The task agent ID
Query parameters
status
Filter by approval request status.
Allowed values:
run_id
Filter by TaskAgentRun ID.
session_id
Filter by ADK session ID.
tool_type
Filter by tool source.
Allowed values:
created_after
Filter approval requests created at/after this timestamp.
created_before
Filter approval requests created at/before this timestamp.
page_limit
The maximum number of items to return per page. Defaults to 100 if not specified.
cursor
A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.
Response
Task Agent approval requests
results
The list of items returned for the current page.
pagination
Contains pagination information for the result set.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error